GH-ISSUE-CLOSE(1)

NAME
gh-issue-close - Close issue

SYNOPSIS
gh issue close {<number> | <url>} [flags]

OPTIONS

-c, --comment <string>
    Leave a closing comment

--duplicate-of <string>
    Mark as duplicate of another issue by number or URL

-r, --reason <string>
    Reason for closing: {completed|not planned|duplicate}

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # Close issue
    $ gh issue close 123
    # Close issue and add a closing comment
    $ gh issue close 123 --comment "Closing this issue"
    # Close issue as a duplicate of issue #456
    $ gh issue close 123 --duplicate-of 456
    # Close issue as not planned
    $ gh issue close 123 --reason "not planned"

SEE ALSO
gh-issue(1)